Subject: RE: Questions regarding the draft-wu-model-driven-management-virtualization

From: Qin Wu <[email-masked]>
Date: Mon, 17 Jun 2019 02:06:43 +0000

发件人: Greg Mirsky [mailto:[email-masked]]
发送时间: 2019年4月9日 21:33
收件人: [email-masked]; RTGWG <[email-masked]>
主题: Questions regarding the draft-wu-model-driven-management-virtualization

Dear Authors,
I have some questions related to OAM aspect of service and network management automation and much appreciate your consideration:

  *   I couldn't find Networking Working Group to which the draft seems to be attributed. In your opinion, in which of IETF WGs you see this work to be the most relevant?
     [Qin]:I think both opsawg and rtgwg are relevant since YANG data model standardization effort span across routing area and OPS area.

  *   I couldn't find any reference to the process of Sevice Activation Testing (SAT) in the document. Are you planning to cover it later or see the absence of any SAT work at IETF as an obstacle to completing the closed-loop lifecycle for a service?
[Qin]: This draft will rely on model driven provision model for activation and provision and model driven telemetry model for service assurance to complete closed loop lifecycle for the service. Service activation test process in my opinion just test specification. It is separate closed loop. Not sure we should deem them as obstacle.

  *   Figure in Section 3 "Network Service and Resource Models" refers to OAM and PM separately. Do you see PM not being part of overall OAM toolset?
[Qin]: Can we use ping or trace route to measure latency, jitter, packet loss? We have dedicated tool for network performance measurement for better precision, but sometimes the boundary between OAM tool and PM tool is very fuzzy. So I can understand your question.

  *   in Section 3.1.2 in regard to LIME models, you've stated: "These three models can be used to provide consistent reporting, configuration and representation." Do you have evidence in support of this statement?
[Qin]: maybe we should make one thing clear, i.e., separate connectionless from connection oriented, we have seen some operators to plan to deploy them.

  *   Figure 2 lists BFD, LSP Ping, and MPLS-TP models under OAM. In your opinion, are these three models sufficient to perform 'F' and 'P' of FCAPS network management, i.e., Fault Management and Performance Monitoring, adequately? (Should note that LSP Ping and MPLS-TP YANG models are only individual drafts);
[Qin]: BFD, LSP Ping, and MPLS-TP models under OAM may be not sufficient, that’s why we add PM to make it adequate. Yes, this draft will evolve over time if LSP Ping or MPLS-TP make progress.
Regards,
Greg